services:
  valheim:
    container_name: valheim
    image: ghcr.io/lloesche/valheim-server
    cap_add:
      - sys_nice
    volumes:
      - ./config:/config
      - ./data:/opt/valheim
    ports:
      - 2456-2458:2456-2458/udp
      - 9001:9001/tcp
    env_file:
      - ./valheim.env
    restart: always
    stop_grace_period: 2m
    networks:
      - docker-network
networks:
  docker-network:
    external: true
